@import url('https://fonts.googleapis.com/css2?family=Inconsolata&display=swap');

* {
  box-sizing: border-box !important;
  font-family: 'Inconsolata', monospace !important;
}

#country {
  width: 50%;
}

#search-field {
  justify-content: center;
  display: flex;
}

#search-btn,
#search-field input {
  border-radius: 0px !important;
}

#search-btn {
  margin-left: -3px;
}

.country-data-wrapper {
  display: flex;
  width: fit-content;
}

.country-data-key {
  font-weight: bold;
  color: rgb(7, 187, 61);
  margin-right: 5px;
  width: fit-content;
  font-size: 1.2em;
}

.country-data-value {
  color: white;
  width: fit-content;
}

#covid-img-wrapper {
  text-align: center;
  margin-top: 150px;
}

#country-data-items {
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  animation: 1.5s scroll-up-country-data;
  padding: 30px 40% 30px 40%;
  display: none;
}

#loading-spinner {
  margin-left: 5px;
  display: none;
}

#no-results-found {
  display: none;
  text-align: center;
  color: maroon;
}

#country-data-items-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60%;
  margin: auto;
  margin-top: 20px;
  height: fit-content;
}

/* html, body {
  width: 100%;
  height:100%;
}

body {
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
} */

main {
  background: linear-gradient(
    -45deg,
    rgba(12, 206, 206, 0.85),
    rgba(133, 10, 204, 0.85),
    pink
  );
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
  position: absolute;
  width: 100%;
  padding-top: 150px;
  height: 100%;
  z-index: -1;
}

@keyframes scroll-up-country-data {
  from {
    margin-top: 100%;
  }

  to {
    margin-top: 0px;
  }
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
